# \Thelia\ModelCategoryI18nQuery

Skeleton subclass for performing query and update operations on the 'category_i18n' table.

You should add additional methods to this class to meet the application requirements. This class will only be generated as long as it does not already exist in the output directory.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByLocale()
filterByTitle()
filterByDescription()
filterByChapo()
filterByPostscriptum()
filterByCategory()
joinCategory()
useCategoryQuery()
prune()
doDeleteAll()
delete()
orderById()
orderByLocale()
orderByTitle()
orderByDescription()
orderByChapo()
orderByPostscriptum()
groupById()
groupByLocale()
groupByTitle()
groupByDescription()
groupByChapo()
groupByPostscriptum()
leftJoin()
rightJoin()
innerJoin()
leftJoinCategory()
rightJoinCategory()
innerJoinCategory()
findOne()
findOneOrCreate()
findOneById()
findOneByLocale()
findOneByTitle()
findOneByDescription()
findOneByChapo()
findOneByPostscriptum()
findById()
findByLocale()
findByTitle()
findByDescription()
findByChapo()
findByPostscriptum()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Model/CategoryI18nQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\CategoryI18nQuery
  \Thelia\Model\CategoryI18nQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\CategoryI18nQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\CategoryI18nQuery

Returns a new ChildCategoryI18nQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\CategoryI18nQuery

#

static

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### findPk()

    findPk( $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\CategoryI18n|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(array(12, 34), $con);`

#### Parameters

| $key |
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\CategoryI18n|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(array(12, 56), array(832, 123), array(123, 456)), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\CategoryI18nQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\CategoryI18nQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\CategoryI18nQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\CategoryI18nQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\CategoryI18nQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CategoryI18nQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery
See also

## Tags

None found

### filterByLocale()

    filterByLocale(string $locale, string $comparison) : \Thelia\Model\CategoryI18nQuery

Filter the query on the locale column

Example usage: `$query->filterByLocale('fooValue'); // WHERE locale = 'fooValue' $query->filterByLocale('%fooValue%'); // WHERE locale LIKE '%fooValue%'`

#### Parameters

string | $locale | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CategoryI18nQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### filterByTitle()

    filterByTitle(string $title, string $comparison) : \Thelia\Model\CategoryI18nQuery

Filter the query on the title column

Example usage: `$query->filterByTitle('fooValue'); // WHERE title = 'fooValue' $query->filterByTitle('%fooValue%'); // WHERE title LIKE '%fooValue%'`

#### Parameters

string | $title | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CategoryI18nQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### filterByDescription()

    filterByDescription(string $description, string $comparison) : \Thelia\Model\CategoryI18nQuery

Filter the query on the description column

Example usage: `$query->filterByDescription('fooValue'); // WHERE description = 'fooValue' $query->filterByDescription('%fooValue%'); // WHERE description LIKE '%fooValue%'`

#### Parameters

string | $description | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CategoryI18nQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### filterByChapo()

    filterByChapo(string $chapo, string $comparison) : \Thelia\Model\CategoryI18nQuery

Filter the query on the chapo column

Example usage: `$query->filterByChapo('fooValue'); // WHERE chapo = 'fooValue' $query->filterByChapo('%fooValue%'); // WHERE chapo LIKE '%fooValue%'`

#### Parameters

string | $chapo | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CategoryI18nQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### filterByPostscriptum()

    filterByPostscriptum(string $postscriptum, string $comparison) : \Thelia\Model\CategoryI18nQuery

Filter the query on the postscriptum column

Example usage: `$query->filterByPostscriptum('fooValue'); // WHERE postscriptum = 'fooValue' $query->filterByPostscriptum('%fooValue%'); // WHERE postscriptum LIKE '%fooValue%'`

#### Parameters

string | $postscriptum | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CategoryI18nQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### filterByCategory()

    filterByCategory(\Thelia\Model\Category|\Propel\Runtime\Collection\ObjectCollection $category, string $comparison) : \Thelia\Model\CategoryI18nQuery

Filter the query by a related \Thelia\Model\Category object

#### Parameters

\Thelia\Model\Category|\Propel\Runtime\Collection\ObjectCollection | $category | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CategoryI18nQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### joinCategory()

    joinCategory(string $relationAlias, string $joinType) : \Thelia\Model\CategoryI18nQuery

Adds a JOIN clause to the query using the Category relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CategoryI18nQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### useCategoryQuery()

    useCategoryQuery(string $relationAlias, string $joinType) : \Thelia\Model\CategoryQuery

Use the Category relation Category object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CategoryQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery
See also

## Tags

None found

### prune()

    prune(\Thelia\Model\CategoryI18n $categoryI18n) : \Thelia\Model\CategoryI18nQuery

Exclude object from result

#### Parameters

\Thelia\Model\CategoryI18n | $categoryI18n | Object to remove from the list of results

#### Returns

\Thelia\Model\CategoryI18nQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the category_i18n table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildCategoryI18n or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\CategoryI18nQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CategoryI18nQuery

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### orderByLocale()

    orderByLocale($order =) : \Thelia\Model\CategoryI18nQuery

Order by the locale column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CategoryI18nQuery

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### orderByTitle()

    orderByTitle($order =) : \Thelia\Model\CategoryI18nQuery

Order by the title column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CategoryI18nQuery

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### orderByDescription()

    orderByDescription($order =) : \Thelia\Model\CategoryI18nQuery

Order by the description column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CategoryI18nQuery

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### orderByChapo()

    orderByChapo($order =) : \Thelia\Model\CategoryI18nQuery

Order by the chapo column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CategoryI18nQuery

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### orderByPostscriptum()

    orderByPostscriptum($order =) : \Thelia\Model\CategoryI18nQuery

Order by the postscriptum column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CategoryI18nQuery

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\CategoryI18nQuery

Group by the id column

#### Returns

\Thelia\Model\CategoryI18nQuery

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### groupByLocale()

    groupByLocale() : \Thelia\Model\CategoryI18nQuery

Group by the locale column

#### Returns

\Thelia\Model\CategoryI18nQuery

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### groupByTitle()

    groupByTitle() : \Thelia\Model\CategoryI18nQuery

Group by the title column

#### Returns

\Thelia\Model\CategoryI18nQuery

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### groupByDescription()

    groupByDescription() : \Thelia\Model\CategoryI18nQuery

Group by the description column

#### Returns

\Thelia\Model\CategoryI18nQuery

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### groupByChapo()

    groupByChapo() : \Thelia\Model\CategoryI18nQuery

Group by the chapo column

#### Returns

\Thelia\Model\CategoryI18nQuery

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### groupByPostscriptum()

    groupByPostscriptum() : \Thelia\Model\CategoryI18nQuery

Group by the postscriptum column

#### Returns

\Thelia\Model\CategoryI18nQuery

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\CategoryI18nQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CategoryI18nQuery

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\CategoryI18nQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CategoryI18nQuery

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\CategoryI18nQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CategoryI18nQuery

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### leftJoinCategory()

    leftJoinCategory($relationAlias =) : \Thelia\Model\CategoryI18nQuery

Adds a LEFT JOIN clause to the query using the Category relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CategoryI18nQuery

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### rightJoinCategory()

    rightJoinCategory($relationAlias =) : \Thelia\Model\CategoryI18nQuery

Adds a RIGHT JOIN clause to the query using the Category relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CategoryI18nQuery

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### innerJoinCategory()

    innerJoinCategory($relationAlias =) : \Thelia\Model\CategoryI18nQuery

Adds a INNER JOIN clause to the query using the Category relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CategoryI18nQuery

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\CategoryI18n

Return the first ChildCategoryI18n matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\CategoryI18n

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\CategoryI18n

Return the first ChildCategoryI18n matching the query, or a new ChildCategoryI18n object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\CategoryI18n

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\CategoryI18n

Return the first ChildCategoryI18n filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\CategoryI18n

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### findOneByLocale()

    findOneByLocale(string $locale) : \Thelia\Model\CategoryI18n

Return the first ChildCategoryI18n filtered by the locale column

#### Parameters

string | $locale |

#### Returns

\Thelia\Model\CategoryI18n

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### findOneByTitle()

    findOneByTitle(string $title) : \Thelia\Model\CategoryI18n

Return the first ChildCategoryI18n filtered by the title column

#### Parameters

string | $title |

#### Returns

\Thelia\Model\CategoryI18n

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### findOneByDescription()

    findOneByDescription(string $description) : \Thelia\Model\CategoryI18n

Return the first ChildCategoryI18n filtered by the description column

#### Parameters

string | $description |

#### Returns

\Thelia\Model\CategoryI18n

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### findOneByChapo()

    findOneByChapo(string $chapo) : \Thelia\Model\CategoryI18n

Return the first ChildCategoryI18n filtered by the chapo column

#### Parameters

string | $chapo |

#### Returns

\Thelia\Model\CategoryI18n

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### findOneByPostscriptum()

    findOneByPostscriptum(string $postscriptum) : \Thelia\Model\CategoryI18n

Return the first ChildCategoryI18n filtered by the postscriptum column

#### Parameters

string | $postscriptum |

#### Returns

\Thelia\Model\CategoryI18n

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildCategoryI18n objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### findByLocale()

    findByLocale(string $locale) : array

Return ChildCategoryI18n objects filtered by the locale column

#### Parameters

string | $locale |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### findByTitle()

    findByTitle(string $title) : array

Return ChildCategoryI18n objects filtered by the title column

#### Parameters

string | $title |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### findByDescription()

    findByDescription(string $description) : array

Return ChildCategoryI18n objects filtered by the description column

#### Parameters

string | $description |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### findByChapo()

    findByChapo(string $chapo) : array

Return ChildCategoryI18n objects filtered by the chapo column

#### Parameters

string | $chapo |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### findByPostscriptum()

    findByPostscriptum(string $postscriptum) : array

Return ChildCategoryI18n objects filtered by the postscriptum column

#### Parameters

string | $postscriptum |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\CategoryI18n

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\CategoryI18n —

A model object, or null if the key is not found

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\CategoryI18n|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\CategoryI18n|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\CategoryI18nQuery

## Tags

None found

### CategoryI18nQuery.php